Subject: bug#42605: 28.0.50; File lines in find-dired buffers not updated

From: Michael Heerdegen <[email-masked]>
Date: Thu, 30 Jul 2020 00:42:35 +0200

Drew Adams <[email-masked]> writes:

> > OTOH, when I delete a file in a buffer, dired could be smart enough to
> > guess that the current buffer does include the file.
>
> FWIW, I don't understand the last paragraph.  What do
> you mean by "delete a file in a buffer"? Do you mean
> somehow delete a file (from disk) from a buffer that
> is visiting it?  Or delete it from a Dired buffer?
> I'm guessing it's the latter, but in that case Dired
> does do that, doesn't it?

I hit D in the find-dired result buffer.  Dired deletes the file but
it's not removed from the buffer.

> `find-dired' gives you a snapshot of what's on disk
> at a given time.  Dired does that too, but for Dired
> there's an optional behavior of having its display
> auto-revert, to pick up any disk changes when you
> revisit the Dired buffer.
>
> Is that what you're requesting for `find-dired' too?
> If so, should it be turned on by the same option,
> `dired-auto-revert-buffer'?  I can think that someone
> might well want a different option for it.

No, that's not what I want.  That might be very slow, so it's no general
solution.  And also not necessary I think.

Michael.